# Contributing

Contributions are **welcome** and will be fully **credited**.

Base API created, but codebase need some refactoring. If you have experience in this things, I'll be grateful for the help.

We accept contributions via Pull Requests on [Github](https://github.com/rhincodon/gitter-api).


## Pull Requests

- **[PSR-2 Coding Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md)** - The easiest way to apply the conventions is to install [PHP Code Sniffer](http://pear.php.net/package/PHP_CodeSniffer).

- **Document any change in behaviour** - Make sure the `README.md` and any other relevant documentation are kept up-to-date.

- **Consider our release cycle** - We try to follow [SemVer v2.0.0](http://semver.org/). Randomly breaking public APIs is not an option.

- **Create feature branches** - Don't ask us to pull from your master branch.

- **One pull request per feature** - If you want to do more than one thing, send multiple pull requests.


## Running Tests

``` bash
$ composer test
```

**Happy coding**!